Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath
Interface WhitespaceStrippingElementMatcher

All Known Implementing Classes:
  ElemTemplateElement

public interface WhitespaceStrippingElementMatcher

A class that implements this interface can tell if a given element should strip whitespace nodes from it's children.

Method Summary
`boolean` | `canStripWhiteSpace()` Get information about whether or not whitespace can be stripped.
`boolean` | `shouldStripWhiteSpace(XPathContext support, Element targetElement)` Get information about whether or not an element should strip whitespace.

Method Detail

### shouldStripWhiteSpace

    public boolean shouldStripWhiteSpace(XPathContext support,
                                         Element targetElement)
                                  throws TransformerException

  Get information about whether or not an element should strip whitespace.

  Parameters:
    `support` - The XPath runtime state.
    `targetElement` - Element to check
  Returns:
    true if the whitespace should be stripped.
  Throws:
    `TransformerException`
  See Also:
    strip in XSLT Specification

### canStripWhiteSpace

    public boolean canStripWhiteSpace()

  Get information about whether or not whitespace can be stripped.

  Returns:
    true if the whitespace can be stripped.
  See Also:
    strip in XSLT Specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.